<?php

use CodeIgniter\Router\RouteCollection;
 
/**
 * @var RouteCollection $routes
 */

$routes->get('/', 'Home::index2');
$routes->get('/hasil', 'H::index2');

//testing
// $routes->get('tes', 'Demam::tes');

//curah hujan
$routes->get('curah_hujan/list', 'Curah::index');
$routes->get('curah_hujan/input', 'Curah::input_darah');
$routes->post('curah_hujan/insert', 'Curah::insert_darah');
$routes->get('curah_hujan/delete/(:num)', 'Curah::delete/$1');
$routes->get('curah_hujan/edit/(:num)', 'Curah::edit/$1');
$routes->post('curah_hujan/update/(:num)', 'Curah::update/$1');
$routes->get('curah_hujan/laporan', 'Curah::cetak');


//demam berdarah
$routes->get('demam_berdarah/list', 'Demam::index');
$routes->get('darah_input', 'Demam::input_darah');
$routes->post('demam_berdarah/insert', 'Demam::insert_darah');
$routes->get('demam_berdarah/delete/(:num)', 'Demam::delete/$1');
$routes->get('demam_berdarah/edit/(:num)', 'Demam::edit/$1'); 
$routes->post('demam_berdarah/update/(:num)', 'Demam::update/$1');

//laporan
$routes->get('laporan/curah_hujan', 'Laporan::lapcur');
$routes->get('laporan/demam_berdarah', 'Laporan::lapdar');
$routes->get('curah_hujan/cetak', 'Laporan::curah_cetak');
$routes->get('demam_berdarah/cetak', 'Laporan::demam_cetak');

//filter
$routes->post('filter', 'Home::index2'); 



